> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexutils.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token DEX Stats

> Retrieve aggregated DEX trading statistics for a token over a specified time period.

```http theme={null}
GET /tokens/{address}/dex_stats
```

### Path Parameters

<ParamField path="address" type="string" required>
  Token contract address.
</ParamField>

### **Query Parameters**

<ParamField query="chain" type="string" required>
  Blockchain network where the token is deployed.
</ParamField>

<ParamField query="period" type="string" required>
  Time period over which DEX statistics are aggregated

  Available values: `1h` ,`6h` `12h` , `1d` ,`3d` `7d`
</ParamField>

### Code Examples

<CodeGroup>
  ```bash cURL theme={null}
  # Replace with your actual API key from the DEXUtils platform
  curl "https://api.dexutils.io/tokens/0x6982508145454ce325ddbe47a25d4ec3d2311933/dex_stats?chain=ethereum&period=7d" \
    -H "API-KEY: apikey"
  ```

  ```python Python theme={null}
  import requests

  # Replace with your actual API key from the DEXUtils platform
  address = "0x6982508145454ce325ddbe47a25d4ec3d2311933"
  url = f"https://api.dexutils.io/v1/tokens/{address}/dex_stats"
  headers = {"API-KEY": "apikey"}
  params = {
  	"chain": "ethereum",
  	"period": "7d",
  }

  response = requests.get(url, headers=headers, params=params)
  res = response.json()
  ```
</CodeGroup>

***

### **Response Fields**

<ResponseField name="buy_volume" type="float">
  Total buy volume during the selected period.
</ResponseField>

<ResponseField name="buy_txns" type="integer">
  Total number of buy transactions.
</ResponseField>

<ResponseField name="buy_unique_traders" type="integer">
  Number of unique wallets that executed buy transactions.
</ResponseField>

<ResponseField name="sell_volume" type="float">
  Total sell volume during the selected period.
</ResponseField>

<ResponseField name="sell_txns" type="integer">
  Total number of sell transactions.
</ResponseField>

<ResponseField name="sell_unique_traders" type="integer">
  Number of unique wallets that executed sell transactions.
</ResponseField>

### Example Response

```json Example Response theme={null}
{
    "buy_volume": 1780306.81285095,
    "buy_txns": 4536,
    "buy_unique_traders": 1317,
    "sell_volume": 1896287.5727387068,
    "sell_txns": 4286,
    "sell_unique_traders": 1456
}
```
